summaryrefslogtreecommitdiffstats
path: root/debian/rsyslog.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:21 +0000
commit24b1e14e26b1bc6cf98663c2964a3637c56944eb (patch)
tree5dfbc4d09ae789919613f5e20d0dcac87e6ece90 /debian/rsyslog.postrm
parentAdding upstream version 8.2402.0. (diff)
downloadrsyslog-24b1e14e26b1bc6cf98663c2964a3637c56944eb.tar.xz
rsyslog-24b1e14e26b1bc6cf98663c2964a3637c56944eb.zip
Adding debian version 8.2402.0-1.debian/8.2402.0-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/rsyslog.postrm')
-rw-r--r--debian/rsyslog.postrm13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/rsyslog.postrm b/debian/rsyslog.postrm
new file mode 100644
index 0000000..d37f025
--- /dev/null
+++ b/debian/rsyslog.postrm
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "remove" ]; then
+ [ -f /etc/logrotate.d/rsyslog ] && mv -f /etc/logrotate.d/rsyslog /etc/logrotate.d/rsyslog.disabled
+fi
+
+if [ "$1" = "purge" ] || [ "$1" = "disappear" ]; then
+ [ -f /etc/logrotate.d/rsyslog.disabled ] && rm -f /etc/logrotate.d/rsyslog.disabled
+fi
+
+#DEBHELPER#